# $Revision: 1.32 $, $Date: 2009/10/06 06:58:28 $
Summary:	X.org mouse input driver
Summary(pl.UTF-8):	Sterownik wejściowy myszy dla X.org
Name:		xorg-driver-input-mouse
Version:	1.5.0
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-mouse-%{version}.tar.bz2
# Source0-md5:	c58629fddf0782dad5c02da6aeb35521
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
BuildRequires:  rpmbuild(macros) >= 1.389
%requires_xorg_xserver_xinput
Requires:	xorg-xserver-server >= 1.0.99.901
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org mouse input driver. It supports most available mouse types and
interfaces, including USB and PS/2.

%description -l pl.UTF-8
Sterownik wejściowy myszy dla X.org. Obsługuje większość dostępnych
rodzajów myszy i interfejsów, w tym USB i PS/2.

%prep
%setup -q -n xf86-input-mouse-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/input/mouse_drv.so
%{_mandir}/man4/mousedrv.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-input-mouse.spec,v $
Revision 1.32  2009/10/06 06:58:28  arekm
- up to 1.5.0

Revision 1.31  2009/10/02 08:27:06  arekm
- release 2

Revision 1.30  2009/09/10 18:39:45  arekm
- up to 1.4.99.1

Revision 1.29  2009/02/25 21:14:51  arekm
- release 2

Revision 1.28  2009/01/10 17:52:38  arekm
- up to 1.4.0

Revision 1.27  2008/07/01 16:05:20  arekm
- release 3

Revision 1.26  2008/07/01 12:05:51  arekm
- release 2

Revision 1.25  2008-05-10 08:05:18  qboosh
- updated to 1.3.0

Revision 1.24  2007-10-15 20:48:21  arekm
- up to 1.2.3

Revision 1.23  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.22  2007/09/06 16:16:38  arekm
- track xserver input deps

Revision 1.21  2007/08/01 15:40:17  arekm
- up to 1.2.2

Revision 1.20  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.18  2006/11/30 18:31:47  qboosh
- updated to 1.2.1

Revision 1.17  2006/11/02 12:52:40  qboosh
- updated to 1.2.0

Revision 1.16  2006/10/17 13:52:33  qboosh
- updated to 1.1.2

Revision 1.15  2006/05/26 15:04:52  arekm
- up to 1.1.1

Revision 1.14  2006/04/10 13:57:34  qboosh
- updated to 1.1.0

Revision 1.13  2006/03/03 07:28:32  freetz
- 1.0.4, switched to 'individual' source dir

Revision 1.12  2006/02/20 19:00:09  qboosh
- rename mouse.4 to mouse_drv.4 to avoid conflict with generic mouse(4)

Revision 1.11  2006/02/18 17:40:50  arekm
- conflict in man-pages

Revision 1.10  2006/01/05 14:08:12  qboosh
- 1.0.3.1 (X11R7.0 release)

Revision 1.9  2005/12/21 14:51:44  qboosh
- 1.0.3 (X11R7.0-RC4)

Revision 1.8  2005/12/06 15:49:16  qboosh
- 1.0.2 (X11R7.0-RC3)

Revision 1.7  2005/11/20 12:43:45  qboosh
- 1.0.1 (X11R7.0-RC2)

Revision 1.6  2005/10/28 23:28:29  qboosh
- more verbose descs

Revision 1.5  2005/10/23 19:26:29  qboosh
- --disable-static instead of creating and removing *.a

Revision 1.4  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.3  2005/10/21 18:36:21  qboosh
- sorted BRs

Revision 1.2  2005/10/21 18:31:58  qboosh
- more BRs, libtoolize, fixed drivermandir

Revision 1.1  2005/10/20 22:18:13  jpc
- basic drivers for modular X.org
